<?php
// Do not delete these lines
if ( !empty( $_SERVER['SCRIPT_FILENAME'] ) && 'comments.php' == basename( $_SERVER['SCRIPT_FILENAME'] ) ) {
	die( 'Please do not load this page directly. Thanks!' );
}

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() )
	return;
?>

<?php if ( get_comments_number() != 0 ): ?>
	<div id="comments">
		<div class="white-wrap">
			<ol class="comments">
				<?php wp_list_comments( 'type=comment&callback=maria_wp_comment_format' ); ?>
			</ol><!-- End .comments -->
			<ul class="pager">
				<li><?php previous_comments_link( __( '<i class="fa fa-chevron-left"></i>&nbsp; Older Comments', 'maria' ) ); ?></li>
				<li><?php next_comments_link( __( 'Newer Comments &nbsp;<i class="fa fa-chevron-right"></i>', 'maria' ) ); ?></li>
			</ul><!-- End .pager -->
		</div><!-- End .white-wrap -->
	</div><!-- End #comments -->
<?php endif; ?>
<?php if ( comments_open() ): ?>
	<div id="leave-comment">
		<div class="white-wrap">
			<div class="section-heading">
				<span class="section-heading-line"></span>
				<span class="section-heading-text"><?php _e( 'Leave a comment', 'maria' ); ?></span>
			</div><!-- End .section-heading -->
			<?php
			$aria_req = 'required="required"';
			$args = array(
				'fields' => apply_filters(
						'comment_form_default_fields', array(
					'author' => '<div class="clearfix"><div class="leave-comment-name col col-4"><input id="author" placeholder="' . __( '* Name', 'maria' ) . '" name="author" type="text" value="' .
					esc_attr( $commenter['comment_author'] ) . '" ' . $aria_req . ' /></div>',
					'email' => '<div class="leave-comment-email col col-4"><input id="email" placeholder="' . __( '* Email', 'maria' ) . '" name="email" type="email" value="' . esc_attr( $commenter['comment_author_email'] ) . '" ' .
					$aria_req . ' /></div>',
					'url' => '<div class="leave-comment-website col col-4 col-last"><input id="url" name="url" placeholder="' . __( 'Website', 'maria' ) . '" type="url" value="' . esc_attr( $commenter['comment_author_url'] ) . '" /> ' .
					'</div></div>'
					)
				),
				'comment_field' => '<div class="leave-comment-message">' .
				'<textarea id="comment" name="comment" placeholder="' . __( '* Comment', 'maria' ) . '" ' . $aria_req . '></textarea>' .
				'</div>',
				'label_submit' => __('Submit Your Comment', 'maria'),
				'title_reply_to' => __( 'Reply to %s', 'maria' ),
				'comment_notes_after' => '',
				'class_submit' => 'submit',
				'title_reply' => ''
			);
			comment_form( $args, $post->ID );
			?>
		</div><!-- End .white-wrap -->
	</div><!-- End .comment-form -->

<?php endif; ?>