<!DOCTYPE html>
<!--[if IE 8]> <html class="ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 9]> <html class="ie9" <?php language_attributes(); ?>> <![endif]-->
<!--[if !IE]><!-->
<?php
$ismobile = check_user_agent( 'mobile' );
if ( $ismobile ) :
	?>
	<html <?php language_attributes(); ?>>
		<?php
	else :
		?>
		<html class="no-mobile-device" <?php language_attributes(); ?>>
		<?php endif; ?>
		<!--<![endif]-->
		<head>
			<meta charset="<?php bloginfo( 'charset' ); ?>" />
			<meta http-equiv="X-UA-Compatible" content="IE=edge" />
			<meta name="viewport" content="width=device-width, initial-scale=1" />
			<?php if ( ot_get_option( 'favicon_general', '' ) != '' ): ?>
				<!-- icons & favicons -->
				<link rel="shortcut icon" href="<?php echo ot_get_option( 'favicon_general', '', true ); ?>" />
			<?php endif; ?>
			<?php if ( ot_get_option( 'apple_iphone_icon', '' ) != '' ): ?>
				<!-- For iPhone -->
				<link rel="apple-touch-icon-precomposed" href="<?php echo ot_get_option( 'apple_iphone_icon', '', true ); ?>" />
			<?php endif; ?>
			<?php if ( ot_get_option( 'apple_iphone_retina_icon', '' ) != '' ): ?>
				<!-- For iPhone 4 Retina display -->
				<link rel="apple-touch-icon-precomposed" sizes="114x114" href="<?php echo ot_get_option( 'apple_iphone_retina_icon', '', true ); ?>" />
			<?php endif; ?>
			<?php if ( ot_get_option( 'apple_ipad_icon', '' ) != '' ): ?>
				<!-- For iPad -->
				<link rel="apple-touch-icon-precomposed" sizes="72x72" href="<?php echo ot_get_option( 'apple_ipad_icon', '', true ); ?>" />
			<?php endif; ?>
			<?php if ( ot_get_option( 'apple_ipad_retina_icon', '' ) != '' ): ?>
				<!-- For iPad Retina display -->
				<link rel="apple-touch-icon-precomposed" sizes="144x144" href="<?php echo ot_get_option( 'apple_ipad_retina_icon', '', true ); ?>" />
			<?php endif; ?>
			<?php if ( ot_get_option( 'google_meta_id', '', false ) != '' ): ?>
				<meta name="google-site-verification" content="<?php echo ot_get_option( 'google_meta_id', '', true ); ?>" />
			<?php endif; ?>
			<?php if ( ot_get_option( 'bing_meta_id', '', false ) != '' ): ?>
				<meta name="msvalidate.01" content="<?php echo ot_get_option( 'bing_meta_id', '', true ); ?>" />
			<?php endif; ?>
			<?php if ( ot_get_option( 'alexa_meta_id', '', false ) != '' ): ?>
				<meta name="alexaVerifyID" content="<?php echo ot_get_option( 'alexa_meta_id', '', true ); ?>" />
			<?php endif; ?>
			<?php wp_head(); ?>
		</head>
		<body <?php body_class( 'sticky-sidebar' ); ?>>
			<header id="header">
				<div id="header-top">
					<div class="wrapper clearfix navbar-custom">
						<nav id="navigation">
							<?php
							if ( has_nav_menu( 'primary_menu' ) ):
								$args = array(
									'theme_location' => 'primary_menu',
									'depth' => 3,
									'menu_id' => 'hornavmenu',
									'container' => 'ul',
									'container_class' => 'menu',
								);
								wp_nav_menu( $args );
							elseif ( !has_nav_menu( 'header_menu' ) && current_user_can( 'manage_options' ) ):
								echo '<ul class="menu"><li class="current-menu-item"><a href="' . get_site_url() . '/wp-admin/nav-menus.php" target="_blank">ADD A MENU</a></li></ul>' . PHP_EOL;
							endif;
							?>
						</nav><!-- End #navigation -->
						<div class="menu-mobile"></div>
						<div class="pull-right top-social-search">
							<div id="header-search">
								<div class="header-search-inner">
									<form method="get" id="searchform" action="<?php echo home_url( '/' ); ?>">
										<input type="text" name="s" required="required" title="<?php echo esc_attr_x( 'Search for:', 'label', 'maria' ) ?>" value="<?php echo get_search_query(); ?>" placeholder="<?php echo esc_attr_x( 'Search and Hit Enter...', 'placeholder', 'maria' ) ?>" />
									</form>
									<span class="header-search-icon">
										<span class="fa fa-search"></span>
									</span><!-- End .header-search-icon -->
								</div><!-- End .wrapper -->
							</div><!-- End .wrapper -->
							<div id="header-social">
								<?php
								$header_target = '';
								$header_social_links = ot_get_option( 'header_social_links', '', false );
								if ( !empty( $header_social_links ) ):
									foreach ( $header_social_links as $key => $header_icon ):
										$header_target = '';
										if ( isset( $header_icon['header_social_target'][0] ) && !empty( $header_icon['header_social_target'][0] ) ):
											$header_target = "target='_blank'";
										else:
											$header_target = "target='_self'";
										endif;
										echo "<a " . $header_target . " href='" . $header_icon['header_social_link'] . "'><span class='fa " . $header_icon['header_social_icon'] . "'></span></a>";
									endforeach;
								endif;
								?>
							</div><!-- End #header-social -->
						</div>
					</div><!-- End .wrapper -->
				</div><!-- End #header-top -->
				<div id="header-main">
					<div class="wrapper">
						<a href="<?php echo esc_url( home_url() ); ?>" target="_self">			
							<?php if ( ot_get_option( 'header_logo_image_status', 'off' ) != 'off' ): ?>
								<img src="<?php echo ot_get_option( 'header_logo_image', '', true ); ?>" alt="<?php echo ot_get_option( 'header_logo_image_alternative', '', true ); ?>" class="logo-image" />
							<?php else: ?>
								<?php echo '<h2>' . ot_get_option( 'header_logo_text', '', false ) . '</h2>'; ?>
							<?php endif; ?>
						</a>
					</div><!-- End .wrapper -->
				</div><!-- End #header-main -->
			</header><!-- End .wrapper -->
