<?php
/*

  Maria WordPress Theme
  Author: Mahdi Yazdani

 */

/*
 * Required: Add Class to Comment Reply Link
 */
add_filter( 'comment_reply_link', 'maria_wp_reply_link_class' );

function maria_wp_reply_link_class( $class ) {
	$class = str_replace( "class='comment-reply-link", "class='comment-reply-link btn-xs", $class );
	return $class;
}

/*
 * Required: Customize Comment Output
 */

function maria_wp_comment_format( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	?>
	<li id="comment-<?php comment_ID(); ?>" <?php comment_class( 'comment' ); ?>>
		<span class="comment-author-avatar">
			<?php echo get_avatar( $comment, 82 ); ?>
		</span>
		<div class="comment-inner">
			<div class="comment-info clearfix">
				<div class="comment-meta">
					<span class="comment-meta-author"><?php comment_author_link(); ?></span>
					<span class="comment-meta-date"><?php echo human_time_diff( get_comment_time( 'U' ), current_time( 'timestamp' ) ) . __( ' ago', 'maria' ); ?></span>
				</div><!-- .comment-meta -->
				<span class="comment-reply">
					<?php comment_reply_link( array_merge( $args, array( 'reply_text' => __( '<i class="fa fa-reply"></i>&nbsp;Reply', 'maria' ), 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
				</span>
			</div><!-- End .comment-info -->
			<div class="comment-main">
				<?php comment_text(); ?>
			</div><!-- End .comment-main -->
		</div><!-- End .comment-inner -->
	</li>
	<?php
}

/*
 * Required: Remove required fields notice from comment form
 */
add_filter( 'comment_form_defaults', 'maria_wp_changing_comment_form_defaults' );

function maria_wp_changing_comment_form_defaults( $defaults ) {
	$defaults['comment_notes_before'] = '';
	return $defaults;
}