<?php

/*

  Maria WordPress Theme
  Author: MyPreview LTD.

 */


/*
 * Recommended: Remove title tag from navigation, page menu, list categories.
 */

function maria_wp_my_menu_notitle( $menu ) {
	return $menu = preg_replace( '/ title=\"(.*?)\"/', '', $menu );
}

add_filter( 'wp_nav_menu', 'maria_wp_my_menu_notitle' );
add_filter( 'wp_page_menu', 'maria_wp_my_menu_notitle' );
add_filter( 'wp_list_categories', 'maria_wp_my_menu_notitle' );

/*
 * Recommended: Change post default excerpt length.
 */

function maria_wp_custom_excerpt_length( $length ) {
	return 50;
}

add_filter( 'excerpt_length', 'maria_wp_custom_excerpt_length', 999 );

/*
 * Recommended: Change post default more symbol.
 */

function maria_wp_new_excerpt_more( $more ) {
	return ' ...';
}

add_filter( 'excerpt_more', 'maria_wp_new_excerpt_more' );

/*
 * Required: WP_TITLE filter.
 */
add_filter( 'wp_title', 'maria_wp_filter_pagetitle' );

function maria_wp_filter_pagetitle( $title ) {
	//check if its a blog post
	if ( !is_single() )
		return $title;

	//if you get here then its a blog post so change the title
	global $wp_query;
	if ( isset( $wp_query->post->post_title ) ) {
		return $wp_query->post->post_title;
	}

	//if wordpress can't find the title return the default
	return $title;
}

/*
 * Required: Increases your website's upload max filesize limit on your server.
 */

function maria_wp_upload_size_limit_filterw( $size ) {
	return 1536000 * 34; //Your Size in kb (50 MB)
}

add_filter( 'upload_size_limit', 'maria_wp_upload_size_limit_filterw', 12 );

/*
 * Required: Filter default WordPress gallery style sheet
 */

function maria_wp_remove_gallery_css( $css ) {
	return preg_replace( "#<style type='text/css'>(.*?)</style>#s", '', $css );
}

add_filter( 'gallery_style', 'maria_wp_remove_gallery_css' );

/*
 * Required: Remove the 28px Push Down from the Admin Bar.
 */
add_action( 'get_header', 'my_filter_head' );

function my_filter_head() {
	remove_action( 'wp_head', '_admin_bar_bump_cb' );
}

/*
 * Required: Change html output in categories widget
 */

add_filter( 'wp_list_categories', 'maria_wp_add_span_cat_count' );

function maria_wp_add_span_cat_count( $links ) {
	$links = str_replace( '</a> (', '</a> <span class="cat-count">(', $links );
	$links = str_replace( ')', ')</span>', $links );
	return $links;
}

/*
 * Required: USER-AGENTS
 */

function check_user_agent( $type = NULL ) {
	$user_agent = strtolower( $_SERVER['HTTP_USER_AGENT'] );
	if ( $type == 'bot' ) {
		// matches popular bots
		if ( preg_match( "/googlebot|adsbot|yahooseeker|yahoobot|msnbot|watchmouse|pingdom\.com|feedfetcher-google/", $user_agent ) ) {
			return true;
			// watchmouse|pingdom\.com are "uptime services"
		}
	} else if ( $type == 'browser' ) {
		// matches core browser types
		if ( preg_match( "/mozilla\/|opera\//", $user_agent ) ) {
			return true;
		}
	} else if ( $type == 'mobile' ) {
		// matches popular mobile devices that have small screens and/or touch inputs
		// mobile devices have regional trends; some of these will have varying popularity in Europe, Asia, and America
		// detailed demographics are unknown, and South America, the Pacific Islands, and Africa trends might not be represented, here
		if ( preg_match( "/phone|iphone|itouch|ipod|symbian|android|htc_|htc-|palmos|blackberry|opera mini|iemobile|windows ce|nokia|fennec|hiptop|kindle|mot |mot-|webos\/|samsung|sonyericsson|^sie-|nintendo/", $user_agent ) ) {
			// these are the most common
			return true;
		} else if ( preg_match( "/mobile|pda;|avantgo|eudoraweb|minimo|netfront|brew|teleca|lg;|lge |wap;| wap /", $user_agent ) ) {
			// these are less common, and might not be worth checking
			return true;
		}
	}
	return false;
}