<?php

/*

  Maria WordPress Theme
  Author: MyPreview LTD.

 */

/**
 * Pagination
 */
if ( !function_exists( 'maria_wp_my_pagination' ) ) :

	function maria_wp_my_pagination() {
		global $wp_query;

		$big = 999999999; // need an unlikely integer

		$pages = paginate_links( array(
			'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
			'format' => '?paged=%#%',
			'prev_text' => '<i class="fa fa-angle-left"></i>',
			'next_text' => '<i class="fa fa-angle-right"></i>',
			'current' => max( 1, get_query_var( 'paged' ) ),
			'total' => $wp_query->max_num_pages,
			'add_fragment' => '',
			'type' => 'array'
				) );

		if ( is_array( $pages ) ) {
			$paged = ( get_query_var( 'paged' ) == 0 ) ? 1 : get_query_var( 'paged' );
			echo '<div class="pagination">';
			foreach ( $pages as $page ) {
				echo $page;
			}
			echo '</div>';
		}
	}
    
endif;

$defaults = array(
	'before' => '<p>' . __( 'Pages:', 'maria' ),
	'after' => '</p>',
	'link_before' => '',
	'link_after' => '',
	'next_or_number' => 'number',
	'separator' => ' ',
	'nextpagelink' => __( 'Next page', 'maria' ),
	'previouspagelink' => __( 'Previous page', 'maria' ),
	'pagelink' => '%',
	'echo' => 0
);

wp_link_pages( $defaults );