<?php
/*

  MyPreview WordPress Theme
  Author: Mahdi Yazdani

 */

// Register and load the widget
add_action( 'widgets_init', 'maria_wp_feedburner_widget' );

function maria_wp_feedburner_widget() {
	register_widget( 'feedburner_widget' );
}

class feedburner_widget extends WP_Widget {

	function __construct() {
		parent::__construct(
				// Base ID of your widget
				'widget-feedburner',
				// Widget name will appear in UI
				'Maria: ' . __( 'Feedburner Widget', 'maria' ),
				// Widget description
				array( 'description' => __( 'Subscribe to feedburner via email', 'maria' ), 'id_base' => 'widget-feedburner', 'classname' => 'widget-feedburner' )
		);
	}

	// Before and after widget arguments are defined by themes
	function widget( $args, $instance ) {
		extract( $args );

		$title = apply_filters( 'widget_title', $instance['title'] );
		$text_code = $instance['text_code'];
		$feedburner = $instance['feedburner'];

		echo $before_widget;

		// Before and after widget arguments are defined by themes
		if ( $title ) {
			echo $before_title;
			echo $title;
			echo $after_title;
		}

		echo '<div class="widget-item feedburner-item"><div class="sidebar-text">
		<p>' . do_shortcode( $text_code ) . '</p>';
		?>
		<form action="http://feedburner.google.com/fb/a/mailverify" method="post" target="popupwindow" onsubmit="window.open('http://feedburner.google.com/fb/a/mailverify?uri=<?php echo $feedburner; ?>', 'popupwindow', 'scrollbars=yes,width=550,height=520');
		        return true">
			<div class="form-group">	
				<input class="feedburner-email" type="email" required="required" name="email" placeholder="<?php _e( 'Enter your e-mail address', 'maria' ); ?>"/>
				<input type="hidden" value="<?php echo $feedburner; ?>" name="uri" />
				<input type="hidden" name="loc" value="en_US" />	
			</div>	
			<div class="form-group">
				<input class="feedburner-btn" type="submit" name="submit" value="<?php _e( 'Subscribe', 'maria' ); ?>" />
			</div>
		</form>
		</div> <!-- End .widget-item --></div> <!-- End .widget-box -->
		<?php
		echo $after_widget;
	}

	// Widget Backend 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['text_code'] = $new_instance['text_code'];
		$instance['feedburner'] = strip_tags( $new_instance['feedburner'] );
		return $instance;
	}

	function form( $instance ) {
		$defaults = array( 'title' => _e( 'FeedBurner Widget', 'maria' ), 'text_code' => _e( 'Subscribe to our email newsletter.', 'maria' ), 'feedburner' => '' );
		$instance = wp_parse_args( (array) $instance, $defaults );
		?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title: ', 'maria' ); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'text_code' ); ?>"><?php _e( 'Text above Email Input Field: ', 'maria' ); ?><small><?php _e( '( support : Html & Shortcodes )', 'maria' ); ?></small> </label>
			<textarea rows="5" id="<?php echo $this->get_field_id( 'text_code' ); ?>" name="<?php echo $this->get_field_name( 'text_code' ); ?>" class="widefat" ><?php echo $instance['text_code']; ?></textarea>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'feedburner' ); ?>"><?php _e( 'Feedburner ID:', 'maria' ); ?> </label>
			<input id="<?php echo $this->get_field_id( 'feedburner' ); ?>" name="<?php echo $this->get_field_name( 'feedburner' ); ?>" value="<?php echo $instance['feedburner']; ?>" class="widefat" type="text" />
		</p>

		<?php
	}

}
