<?php
/*

  Maria WordPress Theme
  Author: MyPreview LTD.

 */

// Register and load the widget
add_action( 'widgets_init', 'maria_popular_posts_widget' );

function maria_popular_posts_widget() {
	register_widget( 'maria_wp_popular_posts_widget' );
}

class maria_wp_popular_posts_widget extends WP_Widget {

	function __construct() {
		parent::__construct(
				// Base ID of your widget
				'widget-popular-posts',
				// Widget name will appear in UI
				'Maria: ' . __( 'Popular Posts Widget', 'maria' ),
				// Widget description
				array( 'description' => __( 'Show your popular posts.', 'maria' ), 'id_base' => 'widget-popular-posts', 'classname' => 'widget-popular-posts' )
		);
	}

	// Before and after widget arguments are defined by themes
	function widget( $args, $instance ) {
		extract( $args );

		$title = $instance['title'];
		$postscount = $instance['posts'];

		echo $before_widget;

		// Before and after widget arguments are defined by themes
		if ( $title ) {
			echo $before_title;
			echo $title;
			echo $after_title;
		}
		?>
		<div class="recent-posts-widget">
			<?php
			/*
			 * SHOW the posts
			 */
			$args = array(
				'posts_per_page' => $postscount,
				'post_type' => 'post',
				'orderby' => 'comment_count',
				'ignore_sticky_posts' => 1,
				'post_status' => 'publish'
			);
			$pc = new WP_Query( $args );
			while ( $pc->have_posts() ) : $pc->the_post();
				?>
				<div class="recent-posts-widget-post">
					<div class="recent-posts-widget-thumb">
						<a href="<?php the_permalink(); ?>" target="_self">
							<?php the_post_thumbnail( 'medium', array( 'class' => 'img-responsive' ) ); ?>
						</a>
					</div><!-- End .recent-posts-widget-thumb -->
					<div class="recent-posts-widget-main">
						<div class="recent-posts-widget-date">
							<?php echo the_time( 'F j, Y' ); ?>
						</div><!-- End .recent-posts-widget-date -->
						<div class="recent-posts-widget-title">
							<a href="<?php the_permalink(); ?>" target="_self">
								<?php the_title(); ?>
							</a>
						</div><!-- End .recent-posts-widget-title -->
						<div class="recent-posts-widget-category">
							<?php the_category( ', ' ); ?>
						</div>
					</div><!-- End .recent-posts-widget-main -->
				</div><!-- End .recent-posts-widget-post -->
			<?php endwhile; ?>
		</div><!-- End .recent-posts-widget -->
		<?php
		echo $after_widget;
	}

	// Widget Backend 
	function update( $newInstance, $oldInstance ) {
		$instance = $oldInstance;
		$instance['title'] = strip_tags( $newInstance['title'] );
		$instance['posts'] = $newInstance['posts'];

		return $instance;
	}

	function form( $instance ) {
		$defaults = array( 'title' => 'Popular Posts', 'posts' => 3 );
		$instance = wp_parse_args( (array) $instance, $defaults );
		?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title: ', 'maria' ); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php if ( !empty( $instance['title'] ) ) echo $instance['title']; ?>" class="widefat" type="text" />
		</p> 

		<p>
			<label for="<?php echo $this->get_field_id( 'posts' ); ?>"><?php _e( 'Number of Posts: ', 'maria' ); ?></label>
			<input id="<?php echo $this->get_field_id( 'posts' ); ?>" name="<?php echo $this->get_field_name( 'posts' ); ?>" value="<?php if ( !empty( $instance['posts'] ) ) echo $instance['posts']; ?>" class="widefat" type="text" />
		</p> 

		<?php
	}

}