<?php

/*

  Maria WordPress Theme
  Author: MyPreview LTD.

 */

add_action( 'widgets_init', 'maria_recent_widget_registration' );

function maria_recent_widget_registration() {
	unregister_widget( 'WP_Widget_Recent_Posts' );
	register_widget( 'maria_recent_posts_widget' );
}

/**
 * Recent Posts With Thumbnails
 */
Class maria_recent_posts_widget extends WP_Widget_Recent_Posts {

	public function __construct() {
		WP_Widget::__construct(
				'mw-recent-posts', 'Maria: ' . __( 'Recent Posts', 'maria' ), array(
			'classname' => 'mw_recent_post_with_thumbs_widget',
			'description' => __( 'Your site’s most recent posts.', 'maria' )
				)
		);
	}

	// Before and after widget arguments are defined by themes
	function widget( $args, $instance ) {

		extract( $args );

		$title = apply_filters( 'widget_title', empty( $instance['title'] ) ? __( 'Recent Posts', 'maria' ) : $instance['title'], $instance, $this->id_base );

		if ( empty( $instance['number'] ) || !$number = absint( $instance['number'] ) )
			$number = 10;

		$r = new WP_Query( apply_filters( 'widget_posts_args', array( 'posts_per_page' => $number, 'no_found_rows' => true, 'post_status' => 'publish', 'ignore_sticky_posts' => true ) ) );
		if ( $r->have_posts() ) :

			echo $before_widget;
			if ( $title )
				echo $before_title . $title . $after_title;
			?>
			<div class="recent-posts-widget">
				<?php while ( $r->have_posts() ) : $r->the_post(); ?>	
					<div class="recent-posts-widget-post">
						<div class="recent-posts-widget-thumb">
							<a href="<?php the_permalink(); ?>" target="_self">
								<?php the_post_thumbnail( 'medium', array( 'class' => 'img-responsive' ) ); ?>
							</a>
						</div><!-- End .recent-posts-widget-thumb -->
						<div class="recent-posts-widget-main">
							<div class="recent-posts-widget-date">
								<?php echo the_time( 'F j, Y' ); ?>
							</div><!-- End .recent-posts-widget-date -->
							<div class="recent-posts-widget-title">
								<a href="<?php the_permalink(); ?>" target="_self">
									<?php the_title(); ?>
								</a>
							</div><!-- End .recent-posts-widget-title -->
							<div class="recent-posts-widget-category">
								<?php the_category( ', ' ); ?>
							</div>
						</div><!-- End .recent-posts-widget-main -->
					</div><!-- End .recent-posts-widget-post -->
				<?php endwhile; ?>
			</div><!-- End .recent-posts-widget -->
			<?php
			echo $after_widget;
			wp_reset_postdata();
		endif;
	}

}