<?php

/*

  Maria WordPress Theme
  Author: MyPreview LTD.

 */

// Register and load the widget
add_action( 'widgets_init', 'maria_wp_search_widget' );

function maria_wp_search_widget() {
	register_widget( 'maria_wp_search' );
}

class maria_wp_search extends WP_Widget {

	function __construct() {
		parent::__construct(
				// Base ID of your widget
				'widget-search',
				// Widget name will appear in UI
				'Maria: ' . __( 'Search Form', 'maria' ),
				// Widget description
				array( 'description' => __( 'Show WordPress search form in your website.', 'maria' ), 'id_base' => 'widget-search', 'classname' => 'widget-search' )
		);
	}

	function widget( $args, $instance ) {
		extract( $args );

		$title = apply_filters( 'widget_title', $instance['title'] );

		echo $before_widget;
		// Before and after widget arguments are defined by themes
		if ( $title ) {
			echo $before_title;
			echo $title;
			echo $after_title;
		}
		maria_wp_search_form();
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		return $instance;
	}

	function form( $instance ) {
		$defaults = array( 'title' => __( 'Search', 'maria' ) );
		$instance = wp_parse_args( (array) $instance, $defaults );
		?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:', 'maria' ) ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php if ( !empty( $instance['title'] ) ) echo $instance['title']; ?>" class="widefat" type="text" />
		</p>
		<?php
	}

}

/* ----------------------------------------------------------------------------------- */
# Search Form
/* ----------------------------------------------------------------------------------- */

function maria_wp_search_form() {
	?>
	<form method="get" action="<?php echo home_url( '/' ); ?>">
		<div class="search-box">
			<input type="text" class="search-widget-input" name="s" required="required" title="<?php echo esc_attr_x( 'Search for:', 'label', 'maria' ) ?>" value="<?php echo get_search_query(); ?>" placeholder="<?php echo esc_attr_x( 'Type and hit enter', 'placeholder', 'maria' ) ?>" />
		</div><!-- End .search-widget-input -->
	</form>
	<?php
}