<div id="main">
	<div class="wrapper clearfix">
		<div id="content" class="col col-8">
			<div id="blog-wrapper" class="blog-posts clearfix">
				<?php while ( have_posts() ) : the_post(); ?>
					<article id="post-<?php the_ID(); ?>" <?php post_class( 'blog-post' ); ?>>
						<div class="blog-post-thumb">
							<span class="blog-post-timestamp">
								<i class="fa fa-clock-o"></i>&nbsp;
								<?php echo human_time_diff( get_post_time( 'U', true ), current_time( 'timestamp' ) ) . __( ' ago', 'maria' ); ?>
							</span><!-- End .blog-post-timestamp -->
							<a href="<?php the_permalink(); ?>" target="_self">
								<?php the_post_thumbnail( 'large', array( 'class' => 'wp-post-image' ) ); ?>
							</a>
						</div><!-- End .blog-post-thumb -->
						<div class="blog-post-entry-container">
							<div class="blog-post-entry-content">
								<div class="blog-post-meta-data">
									<?php
									$get_gravatar_url = get_avatar_url( $post->post_author, '' );
									$gravatar_url = esc_html( $get_gravatar_url );
									?>
									<div class="post-avatar attr-bg" data-background="<?php echo $gravatar_url; ?>"></div> 
									<div class="avatar-name">
										<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>" target="_self">
											<?php the_author(); ?>
										</a>
									</div> 
									<div class="meta">
										<p>
											<small>
												<i class="fa fa-folder-open"></i>
												<?php echo the_category( ' ' ); ?> 
												&nbsp;/&nbsp; 
												<i class="fa fa-comments"></i>
												<?php comments_number( __( '0 Comment', 'maria' ), __( '1 Comment', 'maria' ), __( '% Comments', 'maria' ) ); ?>
											</small>
										</p>
									</div><!-- End .meta -->
								</div><!-- End .blog-post-meta-data -->
								<div class="blog-post-title"> 
									<h2>
										<a href="<?php the_permalink(); ?>" target="_self">
											<?php the_title(); ?>
										</a> 
									</h2>
								</div><!-- End .blog-post-title --> 
								<p><?php the_excerpt(); ?></p>
							</div><!-- End .blog-post-entry-content --> 
						</div><!-- End .blog-post-entry-container --> 
						<div class="blog-post-meta clearfix">
							<div class="pull-left blog-post-read-more">
								<a href="<?php the_permalink(); ?>" target="_self">
									<?php _e( 'Read More', 'maria' ); ?>
								</a>
							</div><!-- End .blog-post-read-more -->
							<div class="pull-right blog-post-share-icons">
								<?php include(locate_template( 'layout/general/content-share-links.php' )); ?>
								<a href="<?php echo $facebookURL; ?>"><i class="fa fa-facebook"></i></a>
								<a href="<?php echo $twitterURL; ?>"><i class="fa fa-twitter"></i></a>
								<a href="<?php echo $googleURL; ?>"><i class="fa fa-google-plus"></i></a>
								<a href="<?php echo $pintrestURL; ?>"><i class="fa fa-pinterest-p"></i></a>
							</div><!-- End .blog-post-share-icons -->
							<div class="clear"></div>
						</div><!-- End .blog-post-meta -->
					</article><!-- End .blog-post -->
				<?php endwhile; ?>
			</div><!-- End .blog-posts -->
			<?php maria_wp_my_pagination(); ?>
		</div><!-- End #content -->
		<?php get_sidebar(); ?>
	</div><!-- End .wrapper -->
</div><!-- End #main -->